import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.util.List;

/**
 * Space. The final frontier. 
 * 
 * @author Kevin Minter
 * @version 5/15/2012
 */
public class Space extends World
{
    public static Mode_Button button1=new Mode_Button();
    public static Play_Button button2=new Play_Button();

    private int addCount=50;

    /**
     * Create space.
     */
    public Space()
    {
        super(960, 700, 1);
        addObject(button1,80,getHeight()-40);
        addObject(button2,getWidth()-40,getHeight()-40);
        addObject (new Body(50, 240.0, new Vector(0,0), new Color(255, 216, 0),true), getWidth()/2, getHeight()/2);
    }

    /**
     * Remove all objects currently in the world.
     */
    public void removeBodies()
    {
        removeObjects(getObjects(Actor.class));
    }

    public static String getMode()
    {
        return button1.getMode();
    }

    public static String getPlay()
    {
        return button2.getMode();
    }

    public void act()
    {
        if(addCount>=50)
        {
            greenfoot.MouseInfo mouse = Greenfoot.getMouseInfo();
            if(mouse!=null)
            {
                if(mouse.getButton() == 3)
                {
                    int x = mouse.getX();
                    int y = mouse.getY();
                    if(getMode()=="Planet")
                    {
                        List<Body> list = getObjects(Body.class);
                        addObject(new Body(20, 2.2, 28.5, new Color(0, 124, 196),list,x,y),x,y);
                    }
                    else if(getMode()=="Sun")
                    {
                        addObject(new Body(50, 240.0, new Vector(0,0), new Color(255, 216, 0), true),x,y);
                    }
                    else if(getMode()=="Black")
                    {
                        addObject(new Body(40, 520.0, new Vector(0,0), new Color(0, 0, 0), true),x,y);
                    }
                    else if(getMode()=="Moon")
                    {
                        List<Body> list = getObjects(Body.class);
                        addObject(new Body(5, 3.75, 0.8, new Color(240, 220, 96),list,x,y),x,y);
                    }
                    addCount=0;
                }
            }
        }
        addCount++;
    }
}
